Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class Certificate

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.Certificate

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class Certificate
extends ASN1Object

an X509Certificate structure. Certificate ::= SEQUENCE { tbsCertificate TBSCertificate, signatureAlgorithm AlgorithmIdentifier, signature BIT STRING }

Constructor Summary
`Certificate(TBSCertificate tbsCertificate, AlgorithmIdentifier signatureAlgorithm, ASN1BitString signature)`

Method Summary
`Time` | `getEndDate()`
`Extensions` | `getExtensions()`
`static Certificate` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static Certificate` | `getInstance(java.lang.Object obj)`
`X500Name` | `getIssuer()`
`ASN1BitString` | `getIssuerUniqueID()`
`ASN1Integer` | `getSerialNumber()`
`ASN1BitString` | `getSignature()`
`AlgorithmIdentifier` | `getSignatureAlgorithm()`
`Time` | `getStartDate()`
`X500Name` | `getSubject()`
`SubjectPublicKeyInfo` | `getSubjectPublicKeyInfo()`
`ASN1BitString` | `getSubjectUniqueID()`
`TBSCertificate` | `getTBSCertificate()`
`Validity` | `getValidity()`
`ASN1Integer` | `getVersion()`
`int` | `getVersionNumber()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Certificate

    public Certificate(TBSCertificate tbsCertificate,
                       AlgorithmIdentifier signatureAlgorithm,
                       ASN1BitString signature)

Method Detail

### getInstance

    public static Certificate getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### getInstance

    public static Certificate getInstance(java.lang.Object obj)

### getTBSCertificate

    public TBSCertificate getTBSCertificate()

### getVersion

    public ASN1Integer getVersion()

### getVersionNumber

    public int getVersionNumber()

### getSerialNumber

    public ASN1Integer getSerialNumber()

### getIssuer

    public X500Name getIssuer()

### getValidity

    public Validity getValidity()

### getStartDate

    public Time getStartDate()

### getEndDate

    public Time getEndDate()

### getSubject

    public X500Name getSubject()

### getSubjectPublicKeyInfo

    public SubjectPublicKeyInfo getSubjectPublicKeyInfo()

### getIssuerUniqueID

    public ASN1BitString getIssuerUniqueID()

### getSubjectUniqueID

    public ASN1BitString getSubjectUniqueID()

### getExtensions

    public Extensions getExtensions()

### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

### getSignature

    public ASN1BitString getSignature()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD